## avidemux 2.7.8

=== avidemux/osxInstaller/CMakeLists.txt ===
#

cmake_minimum_required(VERSION 3.2)
MESSAGE(STATUS  "* Start *")
#
set(BU_CHMOD_BUNDLE_ITEMS ON)
SET(BU_COPY_FULL_FRAMEWORK_CONTENTS ON)
#
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/../../cmake" "${CMAKE_MODULE_PATH}")
include(DeployQt5)
include(admCheckQt5)
include(avidemuxVersion)

#
SET(BUNDLE_NAME "Avidemux_${AVIDEMUX_VERSION}.app")
SET(BUNDLE "${CMAKE_BINARY_DIR}/${BUNDLE_NAME}")
SET(RESOURCES  "${BUNDLE}/Contents/Resources")
SET(ORIGINAL  "${CMAKE_BINARY_DIR}/../Avidemux${AVIDEMUX_MAJOR_MINOR}.app")

#

macro(makeLink src dest pwd)
  MESSAGE(STATUS " Creating symlink")
  MESSAGE( STATUS " COMMAND ln -sf ${src} ${dest} COMMENT mklink ${src} -> ${dest}, pwd=${pwd}")
  execute_process( COMMAND ln -sf ${src} ${dest} 
                   WORKING_DIRECTORY ${pwd})
endmacro()

MESSAGE(STATUS  "* Checking QT5 *")
#
checkQt5()
#
# Copy the skeleton, other files will be pulled automatically
#
FILE(MAKE_DIRECTORY "${BUNDLE}")
FILE(MAKE_DIRECTORY "${BUNDLE}/Contents")
FILE(MAKE_DIRECTORY "${BUNDLE}/Contents/MacOS")
FILE(MAKE_DIRECTORY "${BUNDLE}/Contents/Resources/")
# 
LIST(APPEND bundleDirs  "${BUNDLE}/Contents/Resources/lib")
#

#
MESSAGE(STATUS "* Creating Skeleton *")
FILE(COPY  "${ORIGINAL}/Contents/MacOS/Avidemux${AVIDEMUX_MAJOR_MINOR}" DESTINATION "${BUNDLE}/Contents/MacOS/")
# Copy jobs and cli too
FILE(COPY  "${ORIGINAL}/Contents/Resources/bin/avidemux_cli"          DESTINATION "${BUNDLE}/Contents/MacOS/")
FILE(COPY  "${ORIGINAL}/Contents/Resources/bin/avidemux_jobs"         DESTINATION "${BUNDLE}/Contents/MacOS/")
FILE(COPY  "${ORIGINAL}/Contents/Info.plist"                          DESTINATION "${BUNDLE}/Contents/")
FILE(COPY  "${ORIGINAL}/Contents/Resources/lib"                       DESTINATION "${BUNDLE}/Contents/Resources/")


makeLink("Resources/lib"  "." ${BUNDLE}/Contents/)
#
MESSAGE(STATUS "* Copying plugins *")
#
FILE(COPY  "${QT_PLUGINS_DIR}/platforms" DESTINATION "${CMAKE_BINARY_DIR}/${BUNDLE_NAME}/Contents/PlugIns/")
IF(EXISTS "${QT_PLUGINS_DIR}/styles")
        FILE(COPY "${QT_PLUGINS_DIR}/styles" DESTINATION "${CMAKE_BINARY_DIR}/${BUNDLE_NAME}/Contents/PlugIns/")
ENDIF(EXISTS "${QT_PLUGINS_DIR}/styles")
# Update Qt plugins
#
file(GLOB  pluginList "${BUNDLE}/Contents/PlugIns/platforms/*.dylib" "${BUNDLE}/Contents/PlugIns/styles/*.dylib")
MESSAGE(STATUS "List of plugins ${pluginList}")
FOREACH(plugin ${pluginList})
        MESSAGE(STATUS "=> ${plugin}")
        LIST(APPEND myPlugins ${plugin})
ENDFOREACH(plugin ${pluginList})
MESSAGE(STATUS ">>List of plugins to process ${myPlugins}")
MESSAGE(STATUS " * plugin *")
#
# Update avidemux plugins
# 
MESSAGE(STATUS "* ADM plugins *")
#
MESSAGE(STATUS " * ADMplugin *")
FILE(COPY "${BUNDLE}/Contents/lib/ADM_plugins6" DESTINATION "${BUNDLE}/Contents/MacOS/")
file(GLOB  kind "${BUNDLE}/Contents/MacOS/ADM_plugins6/*")
MESSAGE(STATUS "* -----<${kind}>-----  *")
FOREACH(k ${kind})
        MESSAGE(STATUS "* Processing ${k} *")
        file(GLOB_RECURSE  kind_${k} "${k}/*.dylib")
        MESSAGE(STATUS "\t ${kind_${k}}")
        LIST(APPEND all_adm_plugin  ${kind_${k}})
ENDFOREACH(k ${kind})
#
LIST(APPEND all ${myPlugins})
LIST(APPEND all ${all_adm_plugin})
MESSAGE(STATUS "Plugin to fix : ${all}")
FIXUP_BUNDLE("${BUNDLE}" "${all}" "${bundleDirs}" IGNORE_ITEM "python3;python3.7m;python3.7;Python")
FILE(GLOB lbs "${BUNDLE}/Contents/MacOS/libADM_core*")
IF(lbs)
    MESSAGE(STATUS "Libs are in ${BUNDLE}/Contents/MacOS")
    SET(LIBS_LOCATION "MacOS")
ELSE(lbs)
    MESSAGE(STATUS "Libs are in ${BUNDLE}/Contents/Frameworks")
    SET(LIBS_LOCATION "Frameworks")
ENDIF(lbs)
# Now we can move the old libs
MESSAGE(STATUS " * Cleanup * ")
FILE(REMOVE_RECURSE  "${BUNDLE}/Contents/lib")
FILE(REMOVE_RECURSE  "${BUNDLE}/Contents/Resources/lib")
makeLink("MacOS"  "lib" ${BUNDLE}/Contents/)

# Create Qt.conf
SET(QT_CONF "${BUNDLE}/Contents/Resources/qt.conf")
FILE(WRITE  "${QT_CONF}" "[Paths]\n")
FILE(APPEND "${QT_CONF}" "Plugins = PlugIns\n")

# Copy fonts, i18n and icons
FILE(COPY "${ORIGINAL}/Contents/Resources/share" DESTINATION "${RESOURCES}") 
FILE(COPY "${ORIGINAL}/Contents/Resources/fonts" DESTINATION "${RESOURCES}") 
FILE(COPY "${ORIGINAL}/Contents/Resources/avidemux.icns" DESTINATION "${RESOURCES}") 

# Entice macOS to return correct system language (QTBUG-72491)
FILE(GLOB ListOfTranslationFiles "${RESOURCES}/share/avidemux6/qt5/i18n/avidemux_*.qm")
FOREACH(lang ${ListOfTranslationFiles})
    STRING(REGEX REPLACE ".*avidemux_" "" lang "${lang}")
    STRING(REPLACE ".qm" "" lang "${lang}")
    MESSAGE(STATUS "Creating directory ${BUNDLE}/Contents/Resources/${lang}.lproj")
    FILE(MAKE_DIRECTORY "${BUNDLE}/Contents/Resources/${lang}.lproj")
ENDFOREACH(lang ${ListOfTranslationFiles})

# Partially relink libADM_dm_vapoursynth.dylib
# Using default link location because versioned paths from VAPOURSYNTHSCRIPT_LDFLAGS
# would result in each minor VapourSynth upgrade breaking the demuxer.
FILE(GLOB dmvs "${BUNDLE}/Contents/MacOS/ADM_plugins6/demuxers/libADM_dm_vapoursynth.dylib")
IF(dmvs)
    SET(HOMEBREW_PREFIX "/usr/local")
    MESSAGE(STATUS "Relinking ${dmvs}")
    EXECUTE_PROCESS(COMMAND install_name_tool -change "@executable_path/../${LIBS_LOCATION}/libvapoursynth.dylib"
        "${HOMEBREW_PREFIX}/lib/libvapoursynth.dylib" "${dmvs}")
    EXECUTE_PROCESS(COMMAND install_name_tool -change "@executable_path/../${LIBS_LOCATION}/libvapoursynth-script.0.dylib"
        "${HOMEBREW_PREFIX}/lib/libvapoursynth-script.0.dylib" "${dmvs}")
ENDIF(dmvs)

# Remove Python and libvapoursynth*, the former can't be relinked and we end up using external versions anyway.
FILE(GLOB pyth "${BUNDLE}/Contents/Frameworks/Python.framework")
IF(pyth)
        MESSAGE(STATUS "Removing Python")
        FILE(REMOVE_RECURSE "${pyth}")
ENDIF(pyth)
FILE(GLOB vs "${BUNDLE}/Contents/${LIBS_LOCATION}/libvapoursynth*" "${BUNDLE}/Contents/${LIBS_LOCATION}/libzimg*")
FOREACH(v ${vs})
        MESSAGE(STATUS "Removing ${v}")
        FILE(REMOVE "${v}")
ENDFOREACH(v ${vs})

# Remove the copies of Qt lib in framework, we only keep "5"
FILE(GLOB  frameworks "${BUNDLE}/Contents/Frameworks/*")
MESSAGE(STATUS "Frameworks to clean : ${frameworks}")
FOREACH(frame ${frameworks})
        MESSAGE(STATUS "    Cleaning ${frame}")
        FILE(REMOVE_RECURSE  "${frame}/Headers")
        FILE(GLOB  qtop      "${frame}/Qt*")
        FOREACH(q ${qtop})
                MESSAGE(STATUS "  >${q}")
                FILE(REMOVE    "${q}")
        ENDFOREACH(q ${qtop})
        FILE(REMOVE_RECURSE  "${frame}/Versions/Current")
        FILE(REMOVE_RECURSE  "${frame}/Versions/5/Headers")
        # Create symlinks ?
ENDFOREACH(frame ${frameworks})

#
MESSAGE(STATUS "* Creating dmg *")
# Call cpack to create the dmg using the dragndrop installer
IF(NOT DMG_BASENAME)
        SET(DMG_BASENAME "Avidemux ${AVIDEMUX_VERSION}")
        IF(NOT RELEASE AND BUILD_REV)
                SET(DMG_BASENAME "${DMG_BASENAME} ${BUILD_REV}")
        ENDIF(NOT RELEASE AND BUILD_REV)
ENDIF(NOT DMG_BASENAME)

#
SET(CPACK_GENERATOR         "DragNDrop")
SET(CPACK_PACKAGE_NAME      "Avidemux")
SET(CPACK_PACKAGE_VENDOR    "Mean")
SET(CPACK_SOURCE_GENERATOR  "")
SET(CPACK_PACKAGE_FILE_NAME "${DMG_BASENAME}")
SET(CPACK_DMG_FORMAT        "UDBZ")
SET(CPACK_DMG_VOLUME_NAME   "${CPACK_PACKAGE_FILE_NAME}")
SET(CPACK_BINARY_DRAGNDROP  ON)
SET(CPACK_PACKAGE_ICON      "${CMAKE_CURRENT_SOURCE_DIR}/avidemux_dmg.icns")
INSTALL(DIRECTORY ${BUNDLE} DESTINATION .
	         USE_SOURCE_PERMISSIONS)
#
include(CPack)

MESSAGE(STATUS "* All done *")

=== avidemux_plugins/ADM_videoFilters6/CMakeLists.txt ===
IF(NOT MSVC)
        ADD_SUBDIRECTORY(fluxSmooth)
        ADD_SUBDIRECTORY(telecide)
ENDIF(NOT MSVC)


ADD_SUBDIRECTORY(asciiView)
ADD_SUBDIRECTORY(addBorder)
ADD_SUBDIRECTORY(admIvtc)
ADD_SUBDIRECTORY(asharp)
ADD_SUBDIRECTORY(ass)
ADD_SUBDIRECTORY(avsfilter)
ADD_SUBDIRECTORY(black)
ADD_SUBDIRECTORY(blackenBorder)
ADD_SUBDIRECTORY(blend)
ADD_SUBDIRECTORY(changeFps)
ADD_SUBDIRECTORY(colorYUV)
ADD_SUBDIRECTORY(contrast)
ADD_SUBDIRECTORY(chromaShift)
ADD_SUBDIRECTORY(crop)
#ADD_SUBDIRECTORY(decimate)
ADD_SUBDIRECTORY(dgBob)
ADD_SUBDIRECTORY(dummy)
ADD_SUBDIRECTORY(eq2)
ADD_SUBDIRECTORY(fadeToBlack)
ADD_SUBDIRECTORY(fadeTo)
ADD_SUBDIRECTORY(fastConvolution)
ADD_SUBDIRECTORY(fields)
ADD_SUBDIRECTORY(horizontalFlip)
ADD_SUBDIRECTORY(hue)
ADD_SUBDIRECTORY(ivtcDupeRemover)
ADD_SUBDIRECTORY(kernelDeint)
ADD_SUBDIRECTORY(largeMedian)
ADD_SUBDIRECTORY(lavDeint)
ADD_SUBDIRECTORY(logo)
ADD_SUBDIRECTORY(lumaOnly)
#ADD_SUBDIRECTORY(mcDeint) Does not work ???
ADD_SUBDIRECTORY(mplayerDenoise3D)
ADD_SUBDIRECTORY(mplayerDelogo)
ADD_SUBDIRECTORY(mSharpen)
ADD_SUBDIRECTORY(negative)
ADD_SUBDIRECTORY(printInfo)
ADD_SUBDIRECTORY(removePlane)
ADD_SUBDIRECTORY(resampleFps)
ADD_SUBDIRECTORY(resize)
ADD_SUBDIRECTORY(rotate)
ADD_SUBDIRECTORY(stackField)
ADD_SUBDIRECTORY(stillimage)
ADD_SUBDIRECTORY(swapUV)
ADD_SUBDIRECTORY(yadif)
IF(USE_LIBVA AND DO_COMMON)
        ADD_SUBDIRECTORY(vaapiFilters)
ENDIF(USE_LIBVA AND DO_COMMON)
ADD_SUBDIRECTORY(vdpauFilters)
ADD_SUBDIRECTORY(verticalFlip)
ADD_SUBDIRECTORY(artColorEffect)
ADD_SUBDIRECTORY(artVignette)
ADD_SUBDIRECTORY(artPixelize)
ADD_SUBDIRECTORY(artVHS)
ADD_SUBDIRECTORY(artCharcoal)
ADD_SUBDIRECTORY(colorTemp)

=== avidemux_core/ADM_coreUtils/src/CMakeLists.txt ===
ADD_SUBDIRECTORY(Source)
SET(ADM_coreUtils_SRCS 
ADM_confCouple.cpp  
ADM_bitstream.cpp 
avidemutils.cpp  
ADM_quota.cpp
fourcc.cpp
ADM_infoExtractor.cpp
ADM_infoExtractorH264.cpp
ADM_infoExtractorH265.cpp
ADM_infoExtractorVC1.cpp
ADM_frameType.cpp
ADM_codecType.cpp
ADM_file.cpp
ADM_paramList.cpp
ADM_coreCodecMapping.cpp
ADM_threadQueue.cpp
ADM_string.cpp
ADM_getbits.cpp
ADM_writeRiff.cpp
prefs.cpp
prefs2_json.cpp
ADM_memio.cpp
ADM_json.cpp
ADM_iso639.cpp
ADM_last.cpp
)

include_directories(../include Source "${PTHREAD_INCLUDE_DIR}")

ADM_ADD_SHARED_LIBRARY(ADM_coreUtils6 ${ADM_coreUtils_SRCS})
TARGET_LINK_LIBRARIES(ADM_coreUtils6 ADM_json ADM_core6 ADM_coreUI6 ADM_libavutil ADM_libavcodec )

if (NOT ${CMAKE_VERSION} VERSION_GREATER 2.8.3)
	add_dependencies(ADM_coreUtils6 libavcodec libavutil)
endif (NOT ${CMAKE_VERSION} VERSION_GREATER 2.8.3)

if (MSVC)
	add_definitions(-DNDEBUG)
endif (MSVC)

ADM_INSTALL_LIB(ADM_coreUtils6)

=== avidemux_plugins/ADM_audioDecoders/ADM_ad_mad/CMakeLists.txt ===
INCLUDE(ad_plugin)

IF(MSVC)
        ADD_DEFINITIONS("-DFPM_DEFAULT")
ENDIF(MSVC)

IF (ADM_CPU_X86_32)
	ADD_DEFINITIONS("-DFPM_INTEL")
ELSEIF (ADM_CPU_X86_64 OR ADM_CPU_ARM64)
	ADD_DEFINITIONS("-DFPM_DEFAULT")
ELSEIF (ADM_CPU_PPC)
	ADD_DEFINITIONS("-DFPM_PPC")
ELSEIF (ADM_CPU_ARMEL)
	ADD_DEFINITIONS("-DFPM_ARM")
ENDIF (ADM_CPU_X86_32)

IF(NOT USE_EXTERNAL_LIBMAD)
    ADD_SUBDIRECTORY(ADM_libMad)
ENDIF()

ADD_DEFINITIONS("-DHAVE_ASSERT_H")
SET(ADM_ad_Mad_SRCS ADM_ad_mad.cpp)

ADD_AUDIO_DECODER( ADM_ad_Mad ${ADM_ad_Mad_SRCS})

IF(USE_EXTERNAL_LIBMAD)
    ADD_DEFINITIONS("-DUSE_EXTERNAL_LIBMAD")
    TARGET_LINK_LIBRARIES(ADM_ad_Mad ${LIBMAD_LIBRARIES})
ELSE()
    TARGET_LINK_LIBRARIES(ADM_ad_Mad ADM_libMad)
ENDIF()

INIT_AUDIO_PLUGIN(ADM_ad_Mad)
INSTALL_AUDIODECODER(ADM_ad_Mad)

=== avidemux_plugins/ADM_demuxers/MpegTS/CMakeLists.txt ===
include(dm_plugin)
SET(ADM_ts_SRCS 
	ADM_ts.cpp
	ADM_tsPlugin.cpp
	ADM_tsIndex.cpp
	ADM_tsIndexH264.cpp
	ADM_tsIndexH265.cpp
        ADM_tsIndexVC1.cpp
        ADM_tsIndexMpeg2.cpp
	ADM_tsReadIndex.cpp
	ADM_tsAudio.cpp
	ADM_tsAudioProbe.cpp
	ADM_tsAudioProbe.h
        ADM_tsComputeTimeStamp.cpp
        dmxTSPacket.cpp
        ADM_tsPatPmt.cpp
        ADM_tsBruteForce.cpp
        ADM_tsGetBits.cpp
)

ADD_DEMUXER(ADM_dm_ts ${ADM_ts_SRCS})
TARGET_LINK_LIBRARIES(ADM_dm_ts ADM_coreDemuxerMpeg6 ADM_audioParser6  ADM_libavutil ADM_libavcodec ADM_libavformat)

# For ffmpeg includes
INCLUDE_DIRECTORIES("${AVIDEMUX_SOURCE_DIR}/avidemux/") 
INCLUDE_DIRECTORIES("${AVIDEMUX_SOURCE_DIR}/avidemux/ADM_libraries") 
INCLUDE_DIRECTORIES("${AVIDEMUX_SOURCE_DIR}/avidemux/ADM_coreDemuxerMpeg/include")

INIT_DEMUXER(ADM_dm_ts)
INSTALL_DEMUXER(ADM_dm_ts)

=== avidemux_plugins/ADM_videoEncoder/ffVTEnc/CMakeLists.txt ===
INCLUDE(ve_plugin)

SET(ffVTEnc_SRCS
        ffVTEncPlugin.cpp
        ADM_ffVTEnc.cpp
)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

ADD_VIDEO_ENCODER(ADM_ve_ffVTEnc ${ffVTEnc_SRCS})

INIT_VIDEO_ENCODER(ADM_ve_ffVTEnc)
INSTALL_VIDEO_ENCODER(ADM_ve_ffVTEnc)
TARGET_LINK_LIBRARIES(ADM_ve_ffVTEnc ADM_libavcodec ADM_libavutil)
INCLUDE_DIRECTORIES("${AVIDEMUX_SOURCE_DIR}/avidemux/")

=== avidemux_plugins/ADM_videoEncoder/x264/CMakeLists.txt ===

INCLUDE(ve_plugin)
INCLUDE(ve_settings_plugin)
ADD_DEFINITIONS(-DX264_USE_UTF8=1)

IF(WIN32) # This should be pulled by the .pc file if we were using pkg config. Oh well...
	ADD_DEFINITIONS(-DX264_API_IMPORTS=1)
ENDIF(WIN32)


SET(x264_SRCS 
        ADM_x264.cpp
        ADM_x264Plugin.cpp
        ADM_x264Setup.cpp
        x264_encoder_json.cpp
)
include(admCheckX264)
checkX264()
IF(USE_X264)
  MESSAGE(STATUS "x264 plugin activated.")
  INCLUDE_DIRECTORIES(${X264_INCLUDE_DIR})

  #-----------------------QT4 VERSION---------------------
  INCLUDE(ve_plugin_qt4)
  if(DO_QT4)
    SET(ADM_ve_x264_QT4_SRCS    qt4/Q_x264.cpp)
    SET(ADM_ve_x264_QT4_Headers qt4/Q_x264.h)
    SET(ADM_ve_x264_QT4_UI      qt4/x264ConfigDialog)
    ADD_VIDEO_ENCODER_QT4(ADM_ve_x264_${QT_LIBRARY_EXTENSION}   ${ADM_ve_x264_QT4_SRCS} ${ADM_ve_x264_QT4_Headers} ${ADM_ve_x264_QT4_UI} ${x264_SRCS})
    TARGET_LINK_LIBRARIES(ADM_ve_x264_${QT_LIBRARY_EXTENSION} "${X264_LIBRARY_DIR}")
    TARGET_LINK_LIBRARIES(ADM_ve_x264_${QT_LIBRARY_EXTENSION} ADM_core6)
    INIT_VIDEO_ENCODER(ADM_ve_x264_${QT_LIBRARY_EXTENSION})
    INSTALL_VIDEO_ENCODER_QT4(ADM_ve_x264_${QT_LIBRARY_EXTENSION})
  endif(DO_QT4)
  #-----------------------/QT4 VERSION---------------------
  #-----------------------GTK or CLI VERSION---------------------
  if(DO_COMMON)
    ADD_VIDEO_ENCODER(ADM_ve_x264_other   ADM_x264_noui.cpp ${x264_SRCS})
    ADD_TARGET_CFLAGS(ADM_ve_x264_other "-DADM_UI_TYPE_BUILD=1") # CLI!
    TARGET_LINK_LIBRARIES(ADM_ve_x264_other "${X264_LIBRARY_DIR}")
    TARGET_LINK_LIBRARIES(ADM_ve_x264_other ADM_core6)
    INIT_VIDEO_ENCODER(ADM_ve_x264_other)
    INSTALL_VIDEO_ENCODER(ADM_ve_x264_other)
  endif(DO_COMMON)
  # ------------- PRESET -----------
  if(DO_SETTINGS)
    FILE(GLOB json_files ${CMAKE_CURRENT_SOURCE_DIR}/preset/*.json)
    if(json_files)
      message(STATUS "Presets found : ${json_files}")
      INSTALL_VIDEO_ENCODER_SETTINGS(x264 VERSION 3 FILES ${json_files})
    endif(json_files)
  endif(DO_SETTINGS)
ELSE(USE_X264)
  MESSAGE(STATUS "x264 disabled.")
ENDIF(USE_X264)

MESSAGE("")

=== avidemux_plugins/ADM_videoEncoder/xvid4/CMakeLists.txt ===

INCLUDE(ve_plugin)

SET(xvid4_SRCS 
        ADM_xvid4.cpp
        xvid4Plugin.cpp
        xvid4Dialog.cpp
)
include(FindThreads)
include(admCheckXvid)
checkXvid()
IF(USE_XVID)
  INCLUDE_DIRECTORIES(${XVID_INCLUDE_DIR})
  ADD_VIDEO_ENCODER(ADM_ve_xvid4  ${xvid4_SRCS})
  TARGET_LINK_LIBRARIES(ADM_ve_xvid4 "${XVID_LIBRARY_DIR}")
  ADM_LINK_THREAD(ADM_ve_xvid4)
  INIT_VIDEO_ENCODER(ADM_ve_xvid4)
  INSTALL_VIDEO_ENCODER(ADM_ve_xvid4)
ENDIF(USE_XVID)

=== avidemux_plugins/ADM_videoFilters6/resampleFps/CMakeLists.txt ===
INCLUDE(vf_plugin)

SET(ADM_vf_resampleFps_SRCS ADM_vidResampleFPS.cpp)

ADD_VIDEO_FILTER(ADM_vf_resampleFps ${ADM_vf_resampleFps_SRCS})

INIT_VIDEO_FILTER(ADM_vf_resampleFps)
INSTALL_VIDEO_FILTER(ADM_vf_resampleFps)

=== avidemux/common/ADM_audioFilter/src/CMakeLists.txt ===
# Filters
SET(ADM_audioFilter_SRCS

audio_encoderPlugin.cpp

audiofilter_bridge.cpp
audiofilter_access.cpp
audiofilter_mixer.cpp
audiofilter_dolby.cpp
audiofilter_film2pal.cpp
audiofilter_limiter.cpp
audiofilter_normalize.cpp
audiofilter_SRC.cpp
audiofilter_encoder.cpp
audiofilter_interface.cpp
audiocopy.cpp
ADM_audioResample.cpp
audiofilter.cpp
audiofilter_thread.cpp
ADM_libsamplerate/samplerate.cpp  
ADM_libsamplerate/src_linear.cpp 
ADM_libsamplerate/src_sinc.cpp 
ADM_libsamplerate/src_zoh.cpp
)
YASMIFY(dolbyAsm audiofilter_dolby_asm)

# Needed by libsamplerate
ADD_DEFINITIONS(-DADM_LEGACY_PROGGY)
ADD_DEFINITIONS(-DCPU_CLIPS_POSITIVE=0 -DCPU_CLIPS_NEGATIVE=0)
ADD_DEFINITIONS(-I${CMAKE_CURRENT_SOURCE_DIR})

if (MSVC)
	remove_definitions(-W3)
	add_definitions(-W1 )
else (MSVC)
	add_definitions(-DHAVE_LRINT -DHAVE_LRINTF)
endif (MSVC)

include_directories("${PTHREAD_INCLUDE_DIR}")
ADD_LIBRARY(ADM_audioFilter6 STATIC ${ADM_audioFilter_SRCS} ${dolbyAsm})
# END

=== avidemux/qt4/ADM_UIs/src/CMakeLists.txt ===
include(admOpenGl)
SET(ADM_LIB ADM_UI${QT_LIBRARY_EXTENSION}6)

ADM_QT_WRAP_CPP(${ADM_LIB}_source
        T_bitrate.h  T_button.h  T_dialogFactory.h  T_filesel.h  T_menu.h  T_slider.h
        T_threadCount.h  T_timeStamp.h  T_toggle.h  T_notch.h
        ../include/DIA_flyDialogQt4.h
)

SET(${ADM_LIB}_T
        T_bitrate.cpp  T_button.cpp  T_dialogFactory.cpp  T_filesel.cpp  T_menu.cpp
        T_slider.cpp  T_threadCount.cpp  T_timeStamp.cpp  T_toggle.cpp  T_notch.cpp
        DIA_flyDialog.cpp
        T_QCanvas.cpp
        T_qtFactory.cpp
        T_RubberControl.cpp
        T_QSlider.cpp
)
if(USE_OPENGL)
        INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}//ADM_openGL/include/)
        SET(${ADM_LIB}_T ${${ADM_LIB}_T} T_openGL.cpp)
endif(USE_OPENGL)

SET(${ADM_LIB}_SRCS
        FAC_bar.cpp    FAC_frame.cpp  FAC_integer.cpp  FAC_aspectRatio.cpp
        FAC_float.cpp  FAC_hex.cpp    FAC_readOnlyText.cpp  toolkit.cpp
        FAC_matrix.cpp  DIA_none.cpp  ${${ADM_LIB}_source}  ${${ADM_LIB}_T})

IF(USE_CUSTOM_TIME_DISPLAY_FONT)
        ADD_DEFINITIONS("-DUSE_CUSTOM_TIME_DISPLAY_FONT")
ENDIF(USE_CUSTOM_TIME_DISPLAY_FONT)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../include)
ADD_LIBRARY(${ADM_LIB} SHARED ${${ADM_LIB}_SRCS})
SET_TARGET_PROPERTIES(${ADM_LIB} PROPERTIES CXX_VISIBILITY_PRESET hidden)
SET_TARGET_PROPERTIES(${ADM_LIB} PROPERTIES VISIBLITY_INLINES_HIDDEN True)
ADM_OPEN_GL(${ADM_LIB})
TARGET_LINK_LIBRARIES(${ADM_LIB} ADM_core6 ADM_coreUI6 ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ADM_render6_${QT_LIBRARY_EXTENSION} ADM_coreVideoFilter6 ${GL_LIBS})
ADM_INSTALL_LIB( ${ADM_LIB} )

=== avidemux_plugins/ADM_demuxers/VapourSynth/qt4/CMakeLists.txt ===
##########################################
# Config
##########################################
ADD_DEFINITIONS("-std=c++11")

ADD_DEFINITIONS(${VAPOURSYNTHSCRIPT_CFLAGS})
#
IF(MSVC)
		ADD_DEFINITIONS("-DNO_WINSOCK2") # else double include on windows	
ENDIF(MSVC)
#
ADD_DEFINITIONS(-DADM_UI_TYPE_BUILD=ADM_UI_QT4)
SET(CONFIG_HEADER_TYPE ADM_BUILD_QT4)
SET(UI_SUFFIX qt4)
include_directories(./ ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
INCLUDE(admWindRes)
###########################################
# Executable
###########################################
#
SET(UI vs.ui )
SET(srcs vsProxy_qt4.h)
#ADM_QT_ADD_RESOURCES(resource  jobs.rsc)
ADM_QT_WRAP_UI(VS_PROXY_headers ${UI})
ADM_QT_WRAP_CPP(VS_PROXY_source ${srcs}  vsProxy_qt4.h )
SET(ADM_vsPROXY_SRCS 
                ${srcs}
                ../ADM_vsProxy.cpp
                ../ADM_vsProxy.h
               	#${resource} 
                ${VS_PROXY_headers}
                ${VS_PROXY_source}
                vsProxy_qt4.cpp
        )


###########################################
# Executable
###########################################
ADD_EXECUTABLE(vsProxy_gui_${QT_EXTENSION} ${ADM_vsPROXY_SRCS})
#
GET_PROPERTY(OLD 
                        TARGET vsProxy_gui_${QT_EXTENSION}
                        PROPERTY LINK_FLAGS)
IF("${OLD}" MATCHES ".*NOT.*FOUND")
   SET(OLD "")
ENDIF("${OLD}" MATCHES ".*NOT.*FOUND")
# Keep -L, discard everything else


SET_TARGET_PROPERTIES(vsProxy_gui_${QT_EXTENSION}  PROPERTIES LINK_FLAGS "${OLD}")

###########################################
TARGET_LINK_LIBRARIES(vsProxy_gui_${QT_EXTENSION} ADM_core6 ADM_coreSocket6 ADM_coreUtils6)
TARGET_LINK_LIBRARIES(vsProxy_gui_${QT_EXTENSION} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY})
TARGET_LINK_LIBRARIES(vsProxy_gui_${QT_EXTENSION} ${PTHREAD_LIBRARIES})
TARGET_LINK_LIBRARIES(vsProxy_gui_${QT_EXTENSION} ${LIBS_TO_LINK} )

IF (MINGW)
	target_link_libraries(vsProxy_gui_${QT_EXTENSION} -lwsock32 winmm -mwindows )
	target_link_libraries(vsProxy_gui_${QT_EXTENSION} ${LIBS_TO_LINK} "-lm -lstdc++")
ENDIF (MINGW)
IF(MSVC)
		set_target_properties(vsProxy_gui_${QT_EXTENSION} PROPERTIES LINK_FLAGS_DEBUG "/SUBSYSTEM:WINDOWS")
		set_target_properties(vsProxy_gui_${QT_EXTENSION} PROPERTIES WIN32_EXECUTABLE True)
		TARGET_LINK_LIBRARIES(vsProxy_gui_${QT_EXTENSION} ws2_32.lib  winmm -mwindows  )
ENDIF(MSVC)
TARGET_LINK_LIBRARIES(vsProxy_gui_${QT_EXTENSION} "${VS_SYSTEM_LIBS}")
ADM_INSTALL_BIN(vsProxy_gui_${QT_EXTENSION})

=== debian/changelog ===
avidemux (2.7.8-3~mx21+1) mx; urgency=medium

  * Add fix-i386-build.patch.
  * Use non-free instead of nonfree in Section.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Dec 2021 14:25:01 -0800

avidemux (2.7.8-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop epoch in version.
  * Change to nonfree because of inclusion of nonfree fdk-aac.
  * Don't build against aften, apparently we can't include it in our repos
    because of patents.
  * Make most recommended and suggested packages into explicit dependencies, 
    except for those that create circular dependencies.
  * debian/control: add "avidemux" metapackage that installs the QT GUI.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Dec 2021 12:18:06 -0800

avidemux (1:2.7.8-2~xtradeb3groovy1) groovy; urgency=medium

  * Rebuild for groovy

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 15 May 2021 12:09:56 +0000

avidemux (1:2.7.8-2~xtradeb3) focal; urgency=medium

  * Add libavidemux6-cli and libavidemux6 depends to avidemux-cli

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 15 May 2021 12:07:37 +0000

avidemux (1:2.7.8-2~xtradeb2) focal; urgency=medium

  * Add avidemux-cli recommends to avidemux-jobs-qt

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 13 May 2021 11:29:29 +0000

avidemux (1:2.7.8-2~xtradeb1) focal; urgency=medium

  * Remove obsolete patches and align version to represent introduced patches

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Mar 2021 11:36:31 +0000

avidemux (1:2.7.8-1~xtradeb3) focal; urgency=medium

  * No real change happened. Increasing version for alignment purposes.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Mar 2021 11:26:31 +0000

avidemux (1:2.7.8-1~xtradeb2) focal; urgency=medium

  * Only patches
   - Remove obsolete patches
    - 02-alsa_output.diff
    - 04-xvid-detection.diff
    - 03-ADM_audiofilter-normalize-missing_pow10f_function.patch
   - Add new patches
    - [ffNvEnc] Resolve name clash between H264 and HEVC encoders created by
      commit 284b2afd7b54a4fc524f8390204742676cd3e4a7
    - [Qt] Ensure text margins in current time display are zero

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Mar 2021 10:36:49 +0000

avidemux (1:2.7.8-1~xtradeb1) focal; urgency=medium

  * New upstream release.
  * New Features
    Many new video filters added by courtesy of szlldm
    * A dedicated MOV muxer is now available, replacing silent fallback to MOV
      muxing mode within the MP4 muxer.
    * A subset of color info relevant for HDR support is retained in copy mode
      when both input and output video are stored in Matroska / WebM containers.
      Settings to add or override color info have been added to MKV and WebM
      muxers.
    * The indexer in the MPEG-TS demuxer now detects resolution changes in
      MPEG-2 and H.264 streams which are entirely unsupported and suggests
      aborting indexing. If the user chooses to continue, it records file
      offsets of all resolution changes to the log. This allows advanced users
      to split the file at these offsets using other tools like head and tail
      into chunks which can be processed with Avidemux.
    * YUV varieties of the lossless Ut Video codec are supported now for
      decoding and encoding via bundled FFmpeg libraries. Uncompressed 24-bit
      audio is now supported for a subset of file formats.
    * Limited support for 7.1 channel layout. Decode and stream copy support
      for XLL substream in DTS audio tracks.
    * Audio properties are now updated on resuming playback. This allows one to
      start saving after an audio format change. When audio format changes
      during playback, the FFmpeg-based audio decoder will output silence and
      keep format rather than producing garbage.
    * An option to keep the identity of markers A and B instead of swapping
      them automatically has been added to Preferences.
    * The keyboard shortcut for "Delete" action has been made customizable with
      alternative keyboard shortcuts enabled.
  * Other Enhancements
    * Multi-threaded video decoding is now available for the bundled FFmpeg. On
      powerful multi-core CPUs, this can drastically improve decoding
      performance. A maximum of 8 threads can be created, but a conservative
      custom upper limit of 4 is recommended. Values above 8 cause decoding
      failures. Multi-threaded decoding and HW accelerated decoding are
      mutually exclusive, changes require application restart to have effect.
    * The maximum supported resolution has been increased to 8192x8192
    * The bundled FFmpeg has been updated to the 4.2.4 release.
    * Non-standard display aspect ratios can be configured in MP4 muxer by
      specifying display width.
    * MP4 muxer accepts now MPEG-1 and MPEG-2.
    * The configuration dialog of the x265 video encoder plugin enjoyed
      massive cleanup and refactoring by Trent Piepho , more Adaptive
    * Quantization Variance methods have been added.
    * Python interface has been substantially extended, includes now methods to
      query segment properties, the number and filenames of loaded videos, PTS
      of keyframes, methods to seek to time with preview updated, to open file
      dialogs filtered by extension and a built-in method to split filename
      extension from a given path.
    * Scripting shell now supports unicode characters.
    * On macOS, files can be loaded via Finder context menu or by dropping them
      onto Avidemux icon in the dock.
    * On Linux, Jobs GUI and the CLI executable can be launched from AppImage
      by creating a symlink with _jobs or _cli in filename respectively and
      running the AppImage via this symlink.
  * Bugfixes
    * Rate control was broken in some video encoders, especially in VP9 and in
      NVENC-based encoders, fixed now.
    * Multiple issues in cut point checks for H.264 and HEVC streams in copy


=== debian/control ===
Source: avidemux
Section: non-free/video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jhonny Oliveira <jhonny.oliveira@gmail.com>
# XSBC-Original-Maintainer: Thanh Tung Nguyen <thngtong@gmail.com>
Homepage: http://avidemux.org
Standards-Version: 4.5.0
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 12),
               dh-exec,
               liba52-0.7.4-dev,
#               libaften-dev,
               libaom-dev,
               libasound2-dev,
               libass-dev,
               libavutil-dev,
               libdca-dev,
               libfaac-dev,
               libfdk-aac-dev,
               libfontconfig1-dev,
               libfribidi-dev,
               libmad0-dev,
               libmp3lame-dev,
               libogg-dev,
               libopus-dev,
               libpng-dev,
               libpostproc-dev,
               libpulse-dev,
               libsqlite3-dev,
               libswscale-dev,
               libva-dev,
               libvdpau-dev,
               libvorbis-dev,
               libvpx-dev,
               libx264-dev,
               libx265-dev,
               libxv-dev,
               libxvidcore-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               yasm
Vcs-Git: git://github.com/mean00/avidemux2.git
Vcs-Browser: http://github.com/mean00/avidemux2

Package: avidemux
Architecture: any
Depends: ${misc:Depends}, avidemux-qt
Description: Free video editor, GUI metapackage
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package installs the QT 5 GUI version. Use avidemux-cli for the CLI.

Package: avidemux-cli
Architecture: any
Depends: avidemux-plugins-cli,
         libavidemux6 (= ${binary:Version}),
         libavidemux6-cli (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: avidemux2.7-cli
Replaces: avidemux2.7-cli
# Recommends: avidemux-plugins-cli
Description: Free video editor - command line version
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the command line interface and a Perl script to display
 the help message without the application log.

Package: avidemux-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: avidemux-common (<< 2.6), avidemux2.7-common
Replaces: avidemux (<= 1:2.4.0), avidemux2.7-common
Description: Free video editor - Common files
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the common files.

Package: avidemux-jobs-qt
Architecture: any
Depends: avidemux-common, avidemux-cli, ${misc:Depends}, ${shlibs:Depends}
Conflicts: avidemux2.7-jobs-qt5
Replaces: avidemux2.7-jobs-qt5
# Recommends: avidemux-cli
Description: Free video editor - Jobs (Qt 5)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the jobs application with the Qt 5 UI.

Package: avidemux-plugins-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         avidemux-plugins-common, avidemux-plugins-settings
Recommends: avidemux-cli (= ${binary:Version})
Conflicts: avidemux-plugins,
           avidemux2.7-plugins-cli,
           avidemux2.7-unstable-plugins-cli
Replaces: avidemux-plugins, avidemux2.7-plugins
Description: Free video editor - CLI plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionalites of Avidemux CLI.

Package: avidemux-plugins-common
Architecture: any
Depends: avidemux-cli (= ${binary:Version}) | avidemux-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: avidemux-plugins, avidemux2.7-plugins-common
Replaces: avidemux-plugins, avidemux2.7-plugins-common
Description: Free video editor - common plugins for all UIs
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes common plugins to all UIs to extend the functionalities
 of Avidemux.

Package: avidemux-plugins-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: avidemux-plugins, avidemux2.7-plugins-qt5
Replaces: avidemux-plugins, avidemux2.7-plugins-qt5
Description: Free video editor - Qt 5 plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionalities of Avidemux Qt 5.

Package: avidemux-plugins-settings
Architecture: any
Depends: avidemux-plugins-cli (= ${binary:Version}) | avidemux-plugins-qt (= ${binary:Version}),
         ${misc:Depends}
Conflicts: avidemux2.7-plugins-settings
Replaces: avidemux2.7-plugins-settings
Description: Free video editor - settings for the x264 and x265 plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package provides presets for the x264 and x265 plugins.

Package: avidemux-qt
Architecture: any
Depends: avidemux-common,
         avidemux-jobs-qt,
         avidemux-qt-data,
         libavidemux6 (= ${binary:Version}),
         libavidemux6-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         avidemux-plugins-common, avidemux-plugins-qt
Suggests: vdpau-va-driver | xvba-va-driver | i965-va-driver
Conflicts: avidemux2.7-qt5
Replaces: avidemux2.7-qt5
Description: Free video editor - QT 5 version
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 Avidemux QT 5 can use hardware accelerated decoding depending on your hardware
 (VDPAU for Nvidia, XVBA for AMD, LibVA for Intel).
 .
 This package contains the QT 5 interface.

Package: avidemux-qt-data
Architecture: all
Depends: ${misc:Depends}
Recommends: avidemux-qt
Conflicts: avidemux2.7-qt5-data
Replaces: avidemux2.7-qt5-data
Description: Free video editor - QT 5 version (internationalization files)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 Avidemux QT 5 can use hardware accelerated decoding depending on your hardware
 (VDPAU for Nvidia, XVBA for AMD, LibVA for Intel).
 .
 This package contains the translation files for Avidemux QT 5.

Package: libavidemux6
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-6, libavidemux2.7-6
Replaces: libavidemux-6, libavidemux2.7-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries.

Package: libavidemux6-cli
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-cli-6, libavidemux2.7-cli-6
Replaces: libavidemux-cli-6, libavidemux2.7-cli-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries needed to run the command-line
 interface.

Package: libavidemux-cli-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libavidemux-dev (= ${binary:Version}),
         libavidemux6-cli (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libavidemux2.7-cli-dev
Replaces: libavidemux2.7-cli-dev
Description: Free video editor (devel)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the headers to build your own plugins using the
 command-line interface.
 .
 http://www.avidemux.org/admWiki/doku.php?id=build:devel_2.6

Package: libavidemux-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libavidemux6 (= ${binary:Version}),
         libsqlite3-dev (>= 3.5.9),
         libva-dev (>= 1.2.0),
         ${misc:Depends}
Conflicts: libavidemux2.7-dev
Replaces: libavidemux2.7-dev
Description: Free video editor - development files
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the headers to build your own plugins.
 .
 http://www.avidemux.org/admWiki/doku.php?id=build:devel_2.6

Package: libavidemux6-qt
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-qt-6, libavidemux2.7-qt5-6
Replaces: libavidemux-qt-6, libavidemux2.7-qt5-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries needed to run the QT 5 interface.

Package: libavidemux-qt-dev
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

BUILDDIR=build
INSTALLDIR=debian/tmp

%:
	dh $@

override_dh_auto_clean:
	rm -rvf $(BUILDDIR)* install avidemux/qt5/common
	rm -vf avidemux/qt5/xdg_data/org.avidemux.Avidemux.appdata.xml

override_dh_auto_build:
	chmod +x bootStrap.bash
	./bootStrap.bash --with-system-libass --with-system-liba52 --with-system-libmad

override_dh_auto_test:
	for dir in `ls -d $(BUILDDIR)*`; \
		do \
			dh_auto_test -B$$dir --parallel; \
		done

override_dh_auto_install:
	for dir in `ls -d $(BUILDDIR)*`; \
		do \
			dh_auto_install -B$$dir --parallel --destdir="$(INSTALLDIR)"; \
		done

override_dh_install:
	dh_install -pavidemux-plugins-common \
		-XpluginSettings -XshaderDemo -Xcli -Xqt5
	dh_install -plibavidemux-dev -Xcli -Xqt5
	dh_install -O--parallel --remaining-packages

override_dh_strip:
	dh_strip --no-automatic-dbgsym
